com.pdfunit

## Enum AccessPermission

- java.lang.Object
- - java.lang.Enum<AccessPermission>
  - - com.pdfunit.AccessPermission

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AccessPermission>

      @DoNotObfuscate
      public enum AccessPermission
      extends java.lang.Enum<AccessPermission>

  Enumeration, which contains all (known) access permissions.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLOW_SCREENREADERS`
    `ASSEMBLE_DOCUMENTS`
    `EXTRACT_CONTENT`
    `FILL_IN`
    `MODIFY_ANNOTATIONS`
    `MODIFY_CONTENT`
    `PRINT_DEGRADED_ONLY`
    `PRINT_IN_HIGHQUALITY`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getMaskedValue(int permissionValue)` This method takes the given parameter and executes a binary AND with the value of the predefined access permission.
    `static AccessPermission` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AccessPermission[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PRINT_DEGRADED_ONLY

          public static final AccessPermission PRINT_DEGRADED_ONLY

    - #### PRINT_IN_HIGHQUALITY

          public static final AccessPermission PRINT_IN_HIGHQUALITY

    - #### MODIFY_CONTENT

          public static final AccessPermission MODIFY_CONTENT

    - #### EXTRACT_CONTENT

          public static final AccessPermission EXTRACT_CONTENT

    - #### MODIFY_ANNOTATIONS

          public static final AccessPermission MODIFY_ANNOTATIONS

    - #### FILL_IN

          public static final AccessPermission FILL_IN

    - #### ALLOW_SCREENREADERS

          public static final AccessPermission ALLOW_SCREENREADERS

    - #### ASSEMBLE_DOCUMENTS

          public static final AccessPermission ASSEMBLE_DOCUMENTS

  - ### Method Detail

    - #### values

          public static AccessPermission[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccessPermission c : AccessPermission.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccessPermission valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getMaskedValue

          public int getMaskedValue(int permissionValue)

      This method takes the given parameter and executes a binary AND with the value of the predefined access permission.

Copyright (C) PDFUnit.com. See here for license.